import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import app from './modules/app'
import settings from './modules/settings'
import game from './modules/game'

Vue.use(Vuex)

const store = new Vuex.Store({
  modules: {
    app,
    settings,
    game
  },
  getters
})

export default store
